U4-4043 - Migrate Domain API to PetaPoco

Created by Stephan 14 Jan 2014, 07:58:38 Updated by Shannon Deminick 24 Jun 2015, 09:36:46

Relates to: U4-2954

Relates to: U4-4190

The Domain API still uses the legacy database access. Must migrate to PetaPoco. In addition, legacy has some perfs issues such as when loading all the domains (causes an N+1). Must be refactored.

Comments

Jeroen Breuer 06 Nov 2014, 10:10:14

There is also a domain helper that currently is internal. So for now it's the best to still use the legacy Domain API?


Stephan 06 Nov 2014, 10:31:02

@jbreuer yes - I have started the migration but it got side-tracked by other stuff, so use legacy for now


Stephan 19 Jun 2015, 13:07:00

@Shandem I guess that one is done and can be closed?


Shannon Deminick 19 Jun 2015, 14:08:43

Think so , will review on monday


Priority: Normal

Type: Task

State: Fixed

Assignee: Shannon Deminick

Difficulty: Normal

Category: Architecture

Backwards Compatible: True

Fix Submitted:

Affected versions: 6.1.6, 7.0.1, 7.2.1

Due in version: 7.3.0

Sprint:

Story Points:

Cycle: